version: "3.7"
services:
  web:
    build:
      context: .
    ports:
      - "5000:80"
    volumes:
      - ./app:/usr/share/nginx/html
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx/default.conf:/etc/nginx/conf.d/default.conf
    networks:
      - app-network
    restart: always
  db:
    image: mysql:5.7
    environment:
      MYSQL_ROOT_PASSWORD: yankasabutski
    volumes:
      - db_data:/var/lib/mysql
    networks:
      - app-network
    restart: always

volumes:
  db_data:

networks:
  app-network:
    driver: bridge

 